Index: trunk/source/processes/electromagnetic/polarisation/History
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/History	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/History	(revision 1337)
@@ -1,3 +1,3 @@
-$Id: History,v 1.19 2009/11/12 12:57:15 schaelic Exp $
+$Id: History,v 1.20 2010/06/16 11:20:54 schaelic Exp $
 -------------------------------------------------------------------
 
@@ -17,4 +17,9 @@
      * Reverse chronological order (last date on top), please *
      ----------------------------------------------------------
+16 June 10: A.Schaelicke 
+- Bug fix in G4ePolarizedIonisation.cc
+  (used default vector size of G4VEnergyLossProcess, 
+   avoid size mismatch in G4LossTableBuilder::BuildDEDXTable)
+
 12 November 09: A.Schaelicke (empolar-V09-02-01)
 - Bug fix in G4PolarizationHelper::GetSpinInPRF 
Index: trunk/source/processes/electromagnetic/polarisation/include/G4PolarizationHelper.hh
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/include/G4PolarizationHelper.hh	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/include/G4PolarizationHelper.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PolarizationHelper.hh,v 1.2 2007/11/01 17:30:25 schaelic Exp $
-// tag $Name: geant4-09-03 $
+// tag $Name: geant4-09-04-beta-01 $
 //
 // GEANT4 Class header file
Index: trunk/source/processes/electromagnetic/polarisation/include/G4PolarizationManager.hh
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/include/G4PolarizationManager.hh	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/include/G4PolarizationManager.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PolarizationManager.hh,v 1.1 2006/09/21 21:35:10 vnivanch Exp $
-// tag $Name: geant4-09-03 $
+// tag $Name: geant4-09-04-beta-01 $
 //
 // GEANT4 Class header file
Index: trunk/source/processes/electromagnetic/polarisation/include/G4PolarizationMessenger.hh
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/include/G4PolarizationMessenger.hh	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/include/G4PolarizationMessenger.hh	(revision 1337)
@@ -27,5 +27,5 @@
 //
 // $Id: G4PolarizationMessenger.hh,v 1.2 2006/12/13 15:44:33 gunter Exp $
-// tag $Name: geant4-09-03 $
+// tag $Name: geant4-09-04-beta-01 $
 //
 // GEANT4 Class header file
Index: trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedAnnihilationCrossSection.hh
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedAnnihilationCrossSection.hh	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedAnnihilationCrossSection.hh	(revision 1337)
@@ -26,5 +26,5 @@
 // -------------------------------------------------------------------
 // $Id: G4PolarizedAnnihilationCrossSection.hh,v 1.4 2007/11/01 17:32:34 schaelic Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // -------------------------------------------------------------------
 //
Index: trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedAnnihilationModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedAnnihilationModel.hh	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedAnnihilationModel.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PolarizedAnnihilationModel.hh,v 1.3 2007/07/10 09:38:17 schaelic Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedBhabhaCrossSection.hh
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedBhabhaCrossSection.hh	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedBhabhaCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PolarizedBhabhaCrossSection.hh,v 1.2 2006/11/17 14:14:17 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // GEANT4 Class file
Index: trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedBremsstrahlungCrossSection.hh
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedBremsstrahlungCrossSection.hh	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedBremsstrahlungCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PolarizedBremsstrahlungCrossSection.hh,v 1.3 2007/11/01 17:32:34 schaelic Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // GEANT4 Class file
Index: trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedComptonCrossSection.hh
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedComptonCrossSection.hh	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedComptonCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PolarizedComptonCrossSection.hh,v 1.3 2007/11/01 17:32:34 schaelic Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // GEANT4 Class file
Index: trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedComptonModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedComptonModel.hh	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedComptonModel.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PolarizedComptonModel.hh,v 1.2 2007/05/23 08:52:20 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedGammaConversion.hh
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedGammaConversion.hh	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedGammaConversion.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PolarizedGammaConversion.hh,v 1.2 2007/05/23 08:52:20 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedGammaConversionModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedGammaConversionModel.hh	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedGammaConversionModel.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PolarizedGammaConversionModel.hh,v 1.2 2007/05/23 08:52:20 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedMollerBhabhaModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedMollerBhabhaModel.hh	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedMollerBhabhaModel.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PolarizedMollerBhabhaModel.hh,v 1.3 2007/05/23 08:52:20 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // -------------------------------------------------------------------
 //
Index: trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedMollerCrossSection.hh
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedMollerCrossSection.hh	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedMollerCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PolarizedMollerCrossSection.hh,v 1.3 2006/12/13 15:44:36 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // GEANT4 Class file
Index: trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedPEEffectCrossSection.hh
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedPEEffectCrossSection.hh	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedPEEffectCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PolarizedPEEffectCrossSection.hh,v 1.1 2007/11/01 17:29:09 schaelic Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // GEANT4 Class file
Index: trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedPEEffectModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedPEEffectModel.hh	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedPEEffectModel.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PolarizedPEEffectModel.hh,v 1.1 2007/11/01 17:29:09 schaelic Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedPairProductionCrossSection.hh
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedPairProductionCrossSection.hh	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedPairProductionCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PolarizedPairProductionCrossSection.hh,v 1.3 2007/11/01 17:32:34 schaelic Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // GEANT4 Class file
Index: trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedPhotoElectricEffect.hh
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedPhotoElectricEffect.hh	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/include/G4PolarizedPhotoElectricEffect.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PolarizedPhotoElectricEffect.hh,v 1.1 2007/11/01 17:29:09 schaelic Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/electromagnetic/polarisation/include/G4StokesVector.hh
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/include/G4StokesVector.hh	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/include/G4StokesVector.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4StokesVector.hh,v 1.4 2007/11/01 17:32:34 schaelic Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // GEANT4 Class header file
Index: trunk/source/processes/electromagnetic/polarisation/include/G4VPolarizedCrossSection.hh
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/include/G4VPolarizedCrossSection.hh	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/include/G4VPolarizedCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4VPolarizedCrossSection.hh,v 1.4 2007/11/01 17:32:34 schaelic Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // File name:     G4VPolarizedCrossSection
Index: trunk/source/processes/electromagnetic/polarisation/include/G4ePolarizedBremsstrahlung.hh
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/include/G4ePolarizedBremsstrahlung.hh	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/include/G4ePolarizedBremsstrahlung.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4ePolarizedBremsstrahlung.hh,v 1.2 2007/05/23 08:52:20 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/polarisation/include/G4ePolarizedBremsstrahlungModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/include/G4ePolarizedBremsstrahlungModel.hh	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/include/G4ePolarizedBremsstrahlungModel.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4ePolarizedBremsstrahlungModel.hh,v 1.2 2007/05/23 08:52:20 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/polarisation/include/G4ePolarizedIonisation.hh
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/include/G4ePolarizedIonisation.hh	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/include/G4ePolarizedIonisation.hh	(revision 1337)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4ePolarizedIonisation.hh,v 1.3 2007/06/11 13:37:56 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4ePolarizedIonisation.hh,v 1.4 2010/06/16 11:20:54 schaelic Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // -------------------------------------------------------------------
 //
@@ -125,5 +125,5 @@
   G4ThreeVector theTargetPolarization;
 
-  size_t numBinAsymmetryTable;
+
   
   G4PhysicsTable* theAsymmetryTable;          // table for cross section assym.
Index: trunk/source/processes/electromagnetic/polarisation/include/G4eplusPolarizedAnnihilation.hh
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/include/G4eplusPolarizedAnnihilation.hh	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/include/G4eplusPolarizedAnnihilation.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4eplusPolarizedAnnihilation.hh,v 1.3 2007/06/11 13:37:56 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/polarisation/src/G4PolarizationHelper.cc
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/src/G4PolarizationHelper.cc	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/src/G4PolarizationHelper.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PolarizationHelper.cc,v 1.5 2009/11/12 12:57:15 schaelic Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // GEANT4 Class file
Index: trunk/source/processes/electromagnetic/polarisation/src/G4PolarizationManager.cc
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/src/G4PolarizationManager.cc	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/src/G4PolarizationManager.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PolarizationManager.cc,v 1.1 2006/09/21 21:35:11 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // GEANT4 Class file
Index: trunk/source/processes/electromagnetic/polarisation/src/G4PolarizationMessenger.cc
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/src/G4PolarizationMessenger.cc	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/src/G4PolarizationMessenger.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PolarizationMessenger.cc,v 1.1 2006/09/21 21:35:11 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedAnnihilationCrossSection.cc
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedAnnihilationCrossSection.cc	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedAnnihilationCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 // -------------------------------------------------------------------
 // $Id: G4PolarizedAnnihilationCrossSection.cc,v 1.6 2007/11/01 17:32:34 schaelic Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // -------------------------------------------------------------------
 //
Index: trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedAnnihilationModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedAnnihilationModel.cc	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedAnnihilationModel.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PolarizedAnnihilationModel.cc,v 1.9 2009/11/12 12:57:15 schaelic Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedBhabhaCrossSection.cc
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedBhabhaCrossSection.cc	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedBhabhaCrossSection.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PolarizedBhabhaCrossSection.cc,v 1.5 2007/11/01 17:32:34 schaelic Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // -------------------------------------------------------------------
 //
Index: trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedBremsstrahlungCrossSection.cc
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedBremsstrahlungCrossSection.cc	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedBremsstrahlungCrossSection.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PolarizedBremsstrahlungCrossSection.cc,v 1.4 2007/11/01 17:32:34 schaelic Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedCompton.cc
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedCompton.cc	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedCompton.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PolarizedCompton.cc,v 1.9 2008/10/30 22:34:23 schaelic Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 //
Index: trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedComptonCrossSection.cc
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedComptonCrossSection.cc	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedComptonCrossSection.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PolarizedComptonCrossSection.cc,v 1.4 2007/11/01 17:32:34 schaelic Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // GEANT4 Class file
Index: trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedComptonModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedComptonModel.cc	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedComptonModel.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PolarizedComptonModel.cc,v 1.4 2007/05/23 08:52:20 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedGammaConversion.cc
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedGammaConversion.cc	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedGammaConversion.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PolarizedGammaConversion.cc,v 1.5 2008/10/30 22:34:23 schaelic Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedGammaConversionModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedGammaConversionModel.cc	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedGammaConversionModel.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PolarizedGammaConversionModel.cc,v 1.6 2007/11/01 17:32:34 schaelic Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedMollerBhabhaModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedMollerBhabhaModel.cc	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedMollerBhabhaModel.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PolarizedMollerBhabhaModel.cc,v 1.4 2007/05/23 08:52:20 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // -------------------------------------------------------------------
 //
Index: trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedMollerCrossSection.cc
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedMollerCrossSection.cc	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedMollerCrossSection.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PolarizedMollerCrossSection.cc,v 1.5 2007/11/01 17:32:34 schaelic Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // -------------------------------------------------------------------
 //
Index: trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedPEEffectCrossSection.cc
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedPEEffectCrossSection.cc	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedPEEffectCrossSection.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PolarizedPEEffectCrossSection.cc,v 1.1 2007/11/01 17:29:09 schaelic Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // GEANT4 Class file
Index: trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedPEEffectModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedPEEffectModel.cc	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedPEEffectModel.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PolarizedPEEffectModel.cc,v 1.1 2007/11/01 17:29:09 schaelic Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedPairProductionCrossSection.cc
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedPairProductionCrossSection.cc	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedPairProductionCrossSection.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PolarizedPairProductionCrossSection.cc,v 1.5 2007/11/01 17:32:34 schaelic Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedPhotoElectricEffect.cc
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedPhotoElectricEffect.cc	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/src/G4PolarizedPhotoElectricEffect.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PolarizedPhotoElectricEffect.cc,v 1.3 2008/10/30 22:34:23 schaelic Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/electromagnetic/polarisation/src/G4StokesVector.cc
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/src/G4StokesVector.cc	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/src/G4StokesVector.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4StokesVector.cc,v 1.4 2009/11/12 12:57:15 schaelic Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // GEANT4 Class file
Index: trunk/source/processes/electromagnetic/polarisation/src/G4VPolarizedCrossSection.cc
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/src/G4VPolarizedCrossSection.cc	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/src/G4VPolarizedCrossSection.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4VPolarizedCrossSection.cc,v 1.4 2007/11/01 17:32:34 schaelic Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // File name:     G4VPolarizedCrossSection
 //
Index: trunk/source/processes/electromagnetic/polarisation/src/G4ePolarizedBremsstrahlung.cc
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/src/G4ePolarizedBremsstrahlung.cc	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/src/G4ePolarizedBremsstrahlung.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4ePolarizedBremsstrahlung.cc,v 1.3 2007/05/23 08:52:20 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/polarisation/src/G4ePolarizedBremsstrahlungModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/src/G4ePolarizedBremsstrahlungModel.cc	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/src/G4ePolarizedBremsstrahlungModel.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4ePolarizedBremsstrahlungModel.cc,v 1.4 2007/11/01 17:32:34 schaelic Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/polarisation/src/G4ePolarizedIonisation.cc
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/src/G4ePolarizedIonisation.cc	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/src/G4ePolarizedIonisation.cc	(revision 1337)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4ePolarizedIonisation.cc,v 1.7 2008/10/30 22:34:23 schaelic Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4ePolarizedIonisation.cc,v 1.8 2010/06/16 11:20:54 schaelic Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // -------------------------------------------------------------------
 //
@@ -75,10 +75,10 @@
 {
   verboseLevel=0;
-  SetDEDXBinning(120);
-  SetLambdaBinning(120);
-  numBinAsymmetryTable=120;
-
-  SetMinKinEnergy(0.1*keV);
-  SetMaxKinEnergy(100.0*TeV);
+  //  SetDEDXBinning(120);
+  //  SetLambdaBinning(120);
+  //  numBinAsymmetryTable=78;
+
+  //  SetMinKinEnergy(0.1*keV);
+  //  SetMaxKinEnergy(100.0*TeV);
   //  PrintInfoDefinition();
   SetProcessSubType(fIonisation);
@@ -117,6 +117,6 @@
     //    G4VEmModel* em = new G4MollerBhabhaModel();
     emModel = new G4PolarizedMollerBhabhaModel;
-    emModel->SetLowEnergyLimit(100*eV);
-    emModel->SetHighEnergyLimit(100*TeV);
+    emModel->SetLowEnergyLimit(MinKinEnergy());
+    emModel->SetHighEnergyLimit(MaxKinEnergy());
     AddEmModel(1, emModel, flucModel);
 
@@ -277,6 +277,7 @@
     G4PhysicsVector * ptrVectorA = LambdaPhysicsVector(couple,cut);
     G4PhysicsVector * ptrVectorB = LambdaPhysicsVector(couple,cut);
-
-    for (size_t i = 0 ; i < numBinAsymmetryTable ; i++ ) {
+    size_t nBins = ptrVectorA->GetVectorLength();
+
+    for (size_t i = 0 ; i < nBins ; i++ ) {
       G4double lowEdgeEnergy = ptrVectorA->GetLowEdgeEnergy(i);
       G4double tasm=0.;
Index: trunk/source/processes/electromagnetic/polarisation/src/G4eplusPolarizedAnnihilation.cc
===================================================================
--- trunk/source/processes/electromagnetic/polarisation/src/G4eplusPolarizedAnnihilation.cc	(revision 1228)
+++ trunk/source/processes/electromagnetic/polarisation/src/G4eplusPolarizedAnnihilation.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4eplusPolarizedAnnihilation.cc,v 1.8 2008/10/30 22:34:23 schaelic Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -------------------------------------------------------------------
